{* $Id: profiles.tpl 4430 2007-12-11 21:07:42Z zeke $ *}

{include file="profiles_pages/profiles_scripts.tpl" location="checkout"}

{if !$auth.user_id && !$cart.user_data.email}
<div id="profiles_auth">
	{include file="cart_pages/checkout_login.tpl" no_box='Y' checkout_login='Y' checkout_type='classic'}
</div>
{/if}
<div id="profiles_box" {if !$auth.user_id && !$cart.user_data.email}style="display: none;"{/if}>

{if !$auth.user_id}
<p>{$lang.text_checkout_new_profile_notice}</p>
{/if}

<p>{$lang.text_mandatory_fields}</p>
<p></p>

<form name="profile_form" action="{$index_script}" method="post">
<input type="hidden" name="{$target_name}" value="checkout" />
<input type="hidden" name="{$mode_name}" value="customer_info" />

{if $cart.user_data}
	{assign var="udata" value=$cart.user_data}
	{assign var="sh_eq_b" value=$cart.shipping_eq_billing}
{else}
	{assign var="udata" value=$saved_user_data}
	{assign var="sh_eq_b" value=$shipping_eq_billing}
{/if}

{capture name="group"}
{if !$auth.user_id}
<div id="account_box" {if !$cart.profile_registration_attempt}style="display: none;"{/if}>{include file="profiles_pages/profiles_account.tpl" place_to_box=false user_data=$udata location="checkout"}</div>
{/if}
{include file="profiles_pages/profile_fields.tpl" user_data=$udata section="C" title=$lang.contact_information place_to_box=false location="checkout"}
{/capture}
{include file="common_templates/group.tpl" content=$smarty.capture.group}

{capture name="group"}
	{if $settings.General.user_multiple_profiles == "Y"}
	<p></p>
	{/if}
	{include file="profiles_pages/multiple_profiles.tpl" user_data=$udata no_edit="Y" on_change="fn_redirect('$index_script?$target_name=checkout&$mode_name=customer_info&profile_id='+this.value);" skip_create="Y"}
	{include file="profiles_pages/profile_fields.tpl" user_data=$udata section="B" title=$lang.billing_address place_to_box=false}
	{include file="profiles_pages/profile_fields.tpl" user_data=$udata section="S" title=$lang.shipping_address place_to_box=false body_id="sa" shipping_flag=$profile_fields.B|@sizeof|default:false shipping_eq_billing=$sh_eq_b|default:'Y'}
{/capture}
{include file="common_templates/group.tpl" content=$smarty.capture.group}

{if $settings.Image_verification.use_for_checkout == 'Y' && !$cart.user_data}
	{include file="common_templates/image_verification.tpl" id="checkout" align="center"}
	<p></p>
{/if}

<div class="buttons-wrapper" align="center">
	{include file="buttons/continue.tpl" but_onclick="profiles_form.submit();" but_type="input"}
</div>

</form>

{if $smarty.get.failed_action}
<script type="text/javascript" language="javascript 1.2">
//<![CDATA[
fn_switch_checkout_type({if $smarty.get.failed_action == 'guest'}false{else}true{/if});
//]]>
</script>
{/if}
</div>
