{* $Id: step_profile_fields.tpl 5477 2008-06-26 06:24:52Z anton $ *}

{if $section == 'B'}
<script type="text/javascript" language="javascript 1.2" defer="defer">
//<![CDATA[	
	window['country_state']['{$section}'] = {$ldelim}country_id: '', state_id: '', state: ''{$rdelim};
	{if $section == 'B'}
		var field_groups = new Object();
	{/if}
//]]>
</script>
{/if}

<div class="step-complete-wrapper">
	<div class="float-left" style="width: 40%;">
		{if $section == 'C'}
			{capture assign="fields_text"}
				{foreach from=$profile_fields.$section item='field_data'}
					
					{assign var='field_name' value=$field_data.field_name}
					
					{if $field_name == 'title'}
						{assign var='user_title' value=$user_data.title_descr}
					{elseif $field_name == 'firstname' || $field_name == 'lastname'}
						{assign var="user_$field_name" value=$user_data.$field_name}
					{else}
						<p>
						{if $field_name != 'email' && $field_name != 'company' && $field_name != 'url'}
							<b>{$field_data.description}:</b>&nbsp;
						{/if}
						{$user_data.$field_name}</p>
					{/if}
					
				{/foreach}
			{/capture}
			<p><b>{if $user_title}{$user_title}&nbsp;{/if}{$user_firstname}{if $user_lastname}&nbsp;{$user_lastname}{/if}</b></p>
			{$fields_text}
			
		{else}

			{assign var='prefix' value=$section|lower}
			{assign var='prefix_len' value="`$prefix`_"|strlen}

			{foreach from=$profile_fields.$section item='field_data'}
				
				{assign var='field_name' value=$field_data.field_name}
				{assign var='_field_name' value=$field_name|substr:$prefix_len}

				{if $field_name == "`$prefix`_firstname" ||
					$field_name == "`$prefix`_lastname" ||
					$field_name == "`$prefix`_address" || 
					$field_name == "`$prefix`_address_2" ||
					$field_name == "`$prefix`_city" ||
					$field_name == "`$prefix`_zipcode"}
					
					{* get value of base fields *}
					{assign var="user_$_field_name" value=$user_data.$field_name}
					
				{elseif $field_name == "`$prefix`_title" ||
						$field_name == "`$prefix`_country" ||
						$field_name == "`$prefix`_state"}
						
					{* get description of base fields *}
					{assign var='field_name_descr' value="`$field_name`_descr"}
					{assign var="user_$_field_name" value=$user_data.$field_name_descr}
					
				{/if}
				
			{/foreach}
			<p><b>{if $user_title}{$user_title}&nbsp;{/if}{$user_firstname}{if $user_lastname}&nbsp;{$user_lastname}{/if}</b></p>
			{if $user_address}<p>{$user_address}</p>{/if}
			{if $user_address_2}<p>{$user_address_2}</p>{/if}			
			{if $user_city}
				{assign var='user_location' value="$user_city"}
			{/if}
			{if $user_country}
				{if $user_location}
					{assign var='user_location' value="$user_location, "}
				{/if}
				{assign var='user_location' value="$user_location$user_country"}
			{/if}
			{if $user_state}
				{if $user_location}
					{assign var='user_location' value="$user_location, "}
				{/if}
				{assign var='user_location' value="$user_location$user_state"}
			{/if}
			{if $user_location}<p>{$user_location}</p>{/if}			
			{if $user_zipcode}<p>{$user_zipcode}</p>{/if}			
			
			{foreach from=$profile_fields.$section item=field}
				{if $field.field_name}
					{assign var="data_name" value="user_data"}
					{assign var="data_id" value=$field.field_name}
					{assign var="value" value=$user_data.$data_id}
				{else}
					{assign var="data_name" value="user_data[fields]"}
					{assign var="data_id" value=$field.field_id}
					{assign var="value" value=$user_data.fields.$data_id}
				{/if}
				<div style="display: none;">
					{if $field.field_type == 'L'} {* Titles selectbox *}
							<input type="hidden" id="elm_{$field.field_id}" value="{$value}" />			
					{elseif $field.field_type == 'A'}  {* State selectbox *}
							<input type="hidden" id="elm_{$field.field_id}_d" value="{$value}" />			
							<input type="hidden" id="elm_{$field.field_id}" value="{$value}" />
					{elseif $field.field_type == 'O'}  {* Countries selectbox *}
							<input type="hidden" id="elm_{$field.field_id}" value="{$value|default:$settings.General.default_country}" />
					{elseif $field.field_type == 'C'}  {* Checkbox *}
							<input type="checkbox" id="elm_{$field.field_id}" value="{$value|default:'N'}" {if $value == 'Y'}checked="checked"{/if}  style="display: none;"/>
					{elseif $field.field_type == 'T'}  {* Textarea *}
							<input type="hidden" id="elm_{$field.field_id}" value="{$value|escape:html}" />		
					{elseif $field.field_type == 'D'}  {* Date *}
							{html_select_date start_year="1970" end_year="+5" time=$value day_extra="id=\"elm_`$field.field_id`_day\"" month_extra="id=\"elm_`$field.field_id`_month\"" year_extra="id=\"elm_`$field.field_id`_year\""}
					{elseif $field.field_type == 'S'}  {* Selectbox *}				
							{foreach from=$field.values key=k item=v name="rfe"}
							{if (!$value && $smarty.foreach.rfe.first) || $value == $k}
							<input type="hidden" id="elm_{$field.field_id}" value="{$value|default:$smarty.foreach.rfe.first}" />
							{/if}
							{/foreach}		
					{elseif $field.field_type == 'R'}  {* Radiogroup *}
						{foreach from=$field.values key=k item=v name="rfe"}
						<input type="radio" id="elm_{$field.field_id}_{$k}" value="{$k}" {if (!$value && $smarty.foreach.rfe.first) || $value == $k}checked="checked"{/if} style="display: none;" />
						{/foreach}				
					{else}  {* Simple input *}
							<input type="hidden" id="elm_{$field.field_id}" value="{$value|escape:html}" />
					{/if}
				</div>
				{if $section == 'B'}
				<script type="text/javascript" language="javascript 1.2" defer="defer">
				//<![CDATA[
					{if $field.field_type == 'A'}
					window['country_state']['{$section}'].state_id = 'elm_{$field.field_id}';
					window['country_state']['{$section}'].state = '{$value|default:$settings.General.default_country|escape:javascript}';
					{/if}
					{if $field.field_type == 'O'}
					window['country_state']['{$section}'].country_id = 'elm_{$field.field_id}';
					{/if}
					{if $field.field_type == 'D'}
						field_groups['elm_{$field.field_id}_day'] = 'elm_{$field.matching_id}_day';
						field_groups['elm_{$field.field_id}_month'] = 'elm_{$field.matching_id}_month';
						field_groups['elm_{$field.field_id}_year'] = 'elm_{$field.matching_id}_year';
					{elseif $field.field_type == 'R'}
						{foreach from=$field.values key=k item=v}
						field_groups['elm_{$field.field_id}_{$k}'] = 'elm_{$field.matching_id}_{$k}';
						{/foreach}
						
					{else}
						field_groups['elm_{$field.field_id}'] = 'elm_{$field.matching_id}';
					{/if}
				//]]>
				</script>
				{/if}
			{/foreach}
		{/if}
	</div>
	{if $user_data.fields}
	{assign var="profile_section" value=$profile_fields.$section}
	<div class="float-left">
		{strip}
		{foreach from=$user_data.fields item='field' key='field_id'}
		{if $profile_section.$field_id}
			<p class="step-complete-text"><b>{$profile_section.$field_id.description}:</b>&nbsp;
			{if $profile_section.$field_id.field_type == 'C'}  {* Checkbox *}
				{if $field == 'Y'}{$lang.yes}{else}{$lang.no}{/if}
			{elseif $profile_section.$field_id.field_type == 'D'}  {* Date *}
				{$field|date_format:$settings.Appearance.date_format}
			{elseif $profile_section.$field_id.field_type == 'T'}  {* Textarea *}
				{$field|truncate:30:"...":true}				
			{elseif $profile_section.$field_id.field_type == 'R' || $profile_section.$field_id.field_type == 'S'}  {* Radiogroup *}  {* Selectbox *}
				{foreach from=$profile_section.$field_id.values key=k item=v name="rfe"}
				{if !$field && $smarty.foreach.rfe.first}
					{assign var='id' value=$smarty.foreach.rfe.first}
					{$profile_section.$field_id.values.$id}
				{elseif $field == $k}
					{$v}
				{/if}
				{/foreach}
			{else}  {* Simple input *}
				{$field}
			{/if}
			</p>
		{/if}
		{/foreach}
		{/strip}
	</div>	
	{/if}
	<div class="float-right">
		{include file="buttons/button.tpl" but_onclick=$but_onclick but_text=$lang.edit lowercase="Y" but_style='text'}
	</div>				
</div>
